package com.imofan.android.basic.feedback;

/**
 * 用户反馈信息Bean
 */
public class MFFeedback {
	
	public static final int USER_NORMAL = 0;		//普通用户
 	public static final int USER_DEVELOPER = 1;		//程序开发人员
	
	private int    userType;	//信息发送者类型
	private String userInfo;	//发送信息者信息
	private String feedback;    //反馈信息文本
    private String timestamp;	//反馈提交时间，1970-1-1开始秒数（注意不是毫秒数）
    
    /**
     * 构造器
     * @param feedback	反馈信息文本
     */
    public MFFeedback(String feedback){
    	this.feedback = feedback;
    	this.userType = USER_NORMAL;
    }
    
    /**
     * 获取信息发送者类型
     * @return	信息发送者类型
     */
    public int getUserType() {
		return userType;
	}

	/**
	 * 设置信息发送者类型
	 */
	public void setUserType(int userType) {
		this.userType = userType;
	}

	/**
	 * 获取反馈提交的时间
	 * @return	反馈提交的时间
	 */
	public String getTimestamp() {
		return timestamp;
	}

	/**
	 * 设置反馈提交的时间
	 */
	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}

	/**
     * 获取用户反馈信息的文本
     * @return 反馈信息的文本
     */
    public String getFeedback() {
        return feedback;
    }

    /**
     * 设置用户反馈信文本
     */
    public void setFeedback(String feedback) {
        this.feedback = feedback;
    }
    
	/**
	 * 获取发送信息者个人信息
	 * @return	发送信息者联系方式及个人信息
	 */
	public String getUserInfo() {
		return userInfo;
	}

	/**
	 * 设置发送信息者个人信息
	 */
	public void setUserInfo(String userInfo) {
		this.userInfo = userInfo;
	}
	
	
}
